## debian-crossgrader 0.0.3%2Bnmu5

=== Makefile ===
build_all: build_bdist build_sdist debuild

build_bdist:
	python3 setup.py bdist_wheel

build_sdist:
	python3 setup.py sdist

debuild:
	debuild

clean:
	rm -rf build/
	rm -rf dist/
	rm -rf *.egg-info
	rm -rf debuild/*

lint:
	pylint3 debian_crossgrader || true

## debian-crossgrader 0.0.3+nmu2

=== debian/changelog ===
debian-crossgrader (0.0.3+nmu2) unstable; urgency=medium

  * NMU
  * *Really* do the source-only upload this time... :-/

 -- Steve McIntyre <93sam@debian.org>  Sat, 12 Dec 2020 21:22:05 +0000

debian-crossgrader (0.0.3+nmu1) unstable; urgency=medium

  * NMU
  * No-change source-only upload to allow migration into testing

 -- Steve McIntyre <93sam@debian.org>  Sat, 05 Dec 2020 01:49:52 +0000

debian-crossgrader (0.0.3) unstable; urgency=medium

  * Remove elf-arch usage from arch-check-hook.sh
  * Crossgrade login shells in first stage
  * Remove initramfs arch check hook in cleanup

 -- Kevin Wu <kevin@kevinniuwu.com>  Thu, 06 Aug 2020 18:23:19 -0700

debian-crossgrader (0.0.2) unstable; urgency=medium

  * Fix syntax errors in Python 3.5
  * Depend on python3-apt version 1.0.0

 -- Kevin Wu <kevin@kevinniuwu.com>  Thu, 06 Aug 2020 18:23:15 -0700

debian-crossgrader (0.0.1) unstable; urgency=low

  * Initial release. (Closes: #966533)

 -- Kevin Wu <kevin@kevinniuwu.com>  Mon, 27 Jul 2020 19:58:10 -0700

## debian-crossgrader 0.0.3+nmu3

=== debian/changelog ===
debian-crossgrader (0.0.3+nmu3) unstable; urgency=medium

  * Non-maintainer upload.
  * Purge with --force-remove-protected in the third stage to
    avoid failures due to packages that recently became protected.
    (Closes: #990669)

 -- Adrian Bunk <bunk@debian.org>  Wed, 14 Jul 2021 20:23:38 +0300

## debian-crossgrader 0.0.3+nmu4

=== debian/changelog ===
debian-crossgrader (0.0.3+nmu4) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace python3-appdirs with python3-platformdirs (Closes: #1067963)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 22 Sep 2024 18:48:39 +0200

=== debian/control ===
Source: debian-crossgrader
Maintainer: Kevin Wu <kevin@kevinniuwu.com>
Section: python
Priority: optional
Build-Depends: dh-python, python3-setuptools, python3-all, debhelper (>= 9)
Standards-Version: 4.3.0
Homepage: https://salsa.debian.org/crossgrading-team/debian-crossgrading

Package: crossgrader
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-pkg-resources, dpkg-dev, arch-test, initramfs-tools
Suggests: qemu-user-static
Description: Debian crossgrading tool
 This package provides a tool to crossgrade
 (i.e. change the architecture) of a Debian install.
 It also provides a tool to check if all packages were
 successfully crossgraded.
 .
 The crossgrader automatically handles binaries required
 by the initramfs, packages marked as automatically
 installed, and crossgrades to architectures not natively
 supported on the current CPU.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Mon, 27 Jul 2020 19:58:10 -0700
export PYBUILD_NAME=debian-crossgrader
%:
	dh $@ --with python3 --buildsystem=pybuild

## debian-crossgrader 0.0.3+nmu5

=== debian/changelog ===
debian-crossgrader (0.0.3+nmu5) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop dependency on python3-pkg-resources (Closes: #1083353)
  * Switch from deprecated DebHelper compat level 9 to 13

 -- Alexandre Detiste <tchet@debian.org>  Sat, 27 Sep 2025 13:53:42 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Maintainer: Kevin Wu <kevin@kevinniuwu.com>
 Section: python
 Priority: optional
-Build-Depends: dh-python, python3-setuptools, python3-all, debhelper (>= 9)
+Build-Depends: dh-python, python3-setuptools, python3-all, debhelper-compat (= 13)
 Standards-Version: 4.3.0
 Homepage: https://salsa.debian.org/crossgrading-team/debian-crossgrading
 
 Package: crossgrader
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-pkg-resources, dpkg-dev, arch-test, initramfs-tools
+Depends: ${misc:Depends}, ${python3:Depends}, dpkg-dev, arch-test, initramfs-tools
 Suggests: qemu-user-static
 Description: Debian crossgrading tool
  This package provides a tool to crossgrade

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=debian-crossgrader

%:
	dh $@ --with python3 --buildsystem=pybuild
